Skip to main content
GET
List payments

Authorizations

x-access-token
string
header
required

Organization API token. Generate from Organization Settings → API Tokens.

Path Parameters

eventId
integer
required

Event ID

Query Parameters

page
integer
default:1

Page number, from 1. A value that is not a positive integer is read as 1.

Required range: x >= 1
page_size
integer
default:50

Results per page. Values above 200 are read as 200; a value that is not a positive integer is read as 50.

Required range: 1 <= x <= 200
status
string

Only these statuses, comma-separated: pending, processing, succeeded, failed, refunded, canceled. An unknown value is a 400.

type
string

Only these record types, comma-separated: charge, refund, authorize, capture, void. An unknown value is a 400.

order_id
string<uuid>

Only this order's payments.

method
string

Only these methods, comma-separated (e.g. card, check, cash, external).

updated_since
string<date-time>

Only records created or changed at or after this time.

Response

OK

data
object[]
pagination
object

Pagination metadata returned by the event-settings GET lists (tags, tracks, levels, formats, rooms, languages, statuses). Same numbers as Pagination, snake_case keys — these endpoints are served by a different layer, and the casing is longstanding.